/*
 * $Header: /cvsroot/xwinx/xwinx/xwxprint.h,v 1.8 2001/11/08 00:10:36 guilty Exp $
 * xwxmouse.h - include file for xwinx mouse functions
 * Copyright (C) 2001 Kim Saunders, Sanjay Rao
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* functions for printing messages, errors and warnings, so as to keep text
 * out of the code for easer correction, potential translation, etc.
 *
 * All functions take a pointer to a params struct as the first argument for
 * the sake of consistency
 */

extern void prnHelp(struct params*);
extern void prnVersion(struct params*);
extern void prnBanner(struct params*);
extern void wrnKeyboard(struct params*, char*);
extern void errMemory(struct params*);
extern void errX11Window(struct params*);
extern void errX11Depth(struct params*);
extern void errX11Cookie(struct params*);
extern void errX11Display(struct params*);
extern void errX11XImage(struct params*);
extern void prnHttpWarnings (struct params *params);
extern void errGetDIBits (struct params *params);
