/*
 * $Header: /cvsroot/xwinx/xwinx/xwxwindows.h,v 1.3 2001/11/01 07:33:34 snaund Exp $
 * xwxwindows.h - define constants that should be in cygwin windows headers 
 * Copyright (C) 2001 Kim Saunders, Sanjay Rao
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* these are constants that should be defined in the cygwin windows headers,
 * but don't seem to be.
 */

/* keyboard virual scan codes */
#define XWX_VK_0 0x30
#define XWX_VK_A 0x41

/* mouse movement flag. The mingw people graciously included this, so I'll
 * take this definition out in a few months when cygwin includes the new
 * mingw code.
 */
#define XWX_MOUSEEVENTF_WHEEL 0x0800
